Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class SymbolSlotValueWidget

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
          edu.stanford.smi.protegex.queries_tab.toolbox.SymbolSlotValueWidget

All Implemented Interfaces:
  SlotValueWidget

    public class SymbolSlotValueWidget

extends AbstractSlotValueWidget

Nested Class Summary

Nested classes/interfaces inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`AbstractSlotValueWidget.SlotValueWidgetMouse`

Field Summary

Fields inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`_validator, constraints, FIELDHEIGHT, FIELDWIDTH, isViewEnabled, itsInstances, itsSlot, itsTab, itsWidget, label, selection, slotName, specification, visible`

Fields inherited from interface edu.stanford.smi.protegex.queries_tab.SlotValueWidget
`HEIGHT, WIDTH`

Constructor Summary
`SymbolSlotValueWidget(SearchWidget widget)` Constructor.
`SymbolSlotValueWidget(SearchWidget widget, String label, String slot)` Constructor with label, slot, and actions.

Method Summary
`SymbolSlotModel` | `getComboModel()` get the combobox model.
`JComponent` | `getComponent()` Return the relation display component.
`Object[]` | `getData()` Get the data from the text area and return it as a string array.
`String` | `getSelectedItem()` Get the selected string in text area and return them as a string array.
`Object` | `getSelectedObject()` Get the selected object which is a string for symbol slot.
`JComponent` | `getWidget()` Return the embedded widget in the relation display, the JTextArea.
`boolean` | `isSlotSingleValued()` Set the slot not a single value slot.
`static String[]` | `listToStringArray(List list)` Transfer list to a string of array.
`Collection` | `search()` For the formed search result, change the format.
`Collection` | `search(Collection instances, Slot slot, String operation, Object obj)` This is used to call for the Query settings.
`void` | `setData(Object[] data)` Set the specified string to the text area.
`void` | `setSelectedObject(Object obj)` Set the displayed selected object.

Methods inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`doTask, getKB, getLabel, getNorthComponent, getProject, getSelectedItems, getSlotName, getTab, initialized, isComplete, isViewEnabled, isVisible, removeListener, removeMouse, setActionsEnabled, setCls, setDisplayName, setInstances, setProject, setSlotName, setSpecification, setViewEnabled, setVisible, viewObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolSlotValueWidget

    public SymbolSlotValueWidget(SearchWidget widget)

  Constructor.

### SymbolSlotValueWidget

    public SymbolSlotValueWidget(SearchWidget widget,
                                 String label,
                                 String slot)

  Constructor with label, slot, and actions.

Method Detail

### getComboModel

    public SymbolSlotModel getComboModel()

  get the combobox model.

### getComponent

    public JComponent getComponent()

  Return the relation display component.

### getData

    public Object[] getData()

  Get the data from the text area and return it as a string array.

### getSelectedItem

    public String getSelectedItem()

  Get the selected string in text area and return them as a string array.

### getSelectedObject

    public Object getSelectedObject()

  Get the selected object which is a string for symbol slot.

### getWidget

    public JComponent getWidget()

  Return the embedded widget in the relation display, the JTextArea.

### isSlotSingleValued

    public boolean isSlotSingleValued()

  Set the slot not a single value slot.

  Specified by:
    `isSlotSingleValued` in interface `SlotValueWidget`
  Overrides:
    `isSlotSingleValued` in class `AbstractSlotValueWidget`

### listToStringArray

    public static String[] listToStringArray(List list)

  Transfer list to a string of array.

### search

    public Collection search()

  Description copied from class: `AbstractSlotValueWidget`
  For the formed search result, change the format.

  Specified by:
    `search` in interface `SlotValueWidget`
  Overrides:
    `search` in class `AbstractSlotValueWidget`

### search

    public Collection search(Collection instances,
                             Slot slot,
                             String operation,
                             Object obj)

  Description copied from interface: `SlotValueWidget`
  This is used to call for the Query settings.

### setData

    public void setData(Object[] data)

  Set the specified string to the text area.

### setSelectedObject

    public void setSelectedObject(Object obj)

  Description copied from interface: `SlotValueWidget`
  Set the displayed selected object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request